<?php
// $Id: template.php,v 1.1 2009/08/17 17:21:21 blagoj Exp $

function ablogtheme_preprocess_page(&$vars) {

  $vars['p_links'] = '';
  if (!empty($vars['primary_links'])) {

    foreach ($vars['primary_links'] as $link) {
      $link_current = '';
      $href = url($link['href']);
      if ($link['href'] == '<front>' && drupal_is_front_page()) {
        $link_current = 'current';
      }

      if ($link['href'] == $_GET['q']) {
        $link_current = 'current';
      }
       
      $vars['p_links'] .= '<li><a href="' . $href . '" class="' . $link_current . '"><span class="left">' . $link['title'] . '</span></a></li>';
    }
  }
  

  $vars['footer_msg'] = ' &copy; ' . $vars['site_name'] . ' ' . date('Y');
  $vars['search_box'] = str_replace(t('Search this site: '), '', $vars['search_box']);
}

function ablogtheme_preprocess_node(&$vars) {
  $vars['postdate'] = format_date($vars['node']->created, 'custom', 'd F Y');
  $vars['author'] = theme('username', $vars['node']);
  $vars['posted_by'] = t('By') . ' ' . $vars['author'] . ' ' . t('on') . ' ' . $vars['postdate'];
}

function ablogtheme_preprocess_comment_wrapper(&$vars) {
  $node = $vars['node'];
  $vars['header'] = t('<strong>!count comments</strong> on %title', array('!count' => $node->comment_count, '%title' => $node->title));
}

function ablogtheme_preprocess_comment(&$vars) {
  $vars['classes'] = 'comment';
}
